.container {
    display: flex;
    width: 100%;
    min-height: 60vh;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    padding: 15px;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #1E4475;
    font-family: cursive, Сomic Sans MS;
}

.wrapForm {
    background-color: #FFF6E8;
    padding: 65px 55px 54px 55px;
    width: 500px;
    border-radius: 10px;
    overflow: hidden;
}

.registerForm {
    width: 100%;
}

.formTitle {
    display: block;
    font-size: 39px;
    line-height: 1.2;
    text-align: center;
    padding-bottom: 35px;
}

.labelInput {
    display: block;
    font-size: 15px;
    line-height: 1.5;
    text-align: left;
    margin-top: 10px;
}


/*Inputs*/
.iconAndInputContainerEmail,
.iconAndInputContainerUsername,
.iconAndInputContainerPassword{
    display: flex;
    justify-content: center;
    align-items: center;
    color: #B7D0EF;
    border-bottom: 2px solid #E0E8F4;
    position: relative;
}
.iconAndInputContainerEmail:before,
.iconAndInputContainerUsername:before,
.iconAndInputContainerPassword:before{
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    margin: auto 0;
    width: 25px;
    height: 25px;
    font-family: FontAwesome;
}
.iconAndInputContainerEmail:before{
    content: "\f0e0";
}

.iconAndInputContainerUsername:before{
    content: "\f007";
}

.iconAndInputContainerPassword:before{
    content: "\f023";
}

.iconAndInputContainerEmail:focus-within,
.iconAndInputContainerUsername:focus-within,
.iconAndInputContainerPassword:focus-within{
    color: #8E7FFF;
    border-bottom: 2px solid #8E7FFF;
}

input {
    font-size: 16px;
    line-height: 1.2;
    display: block;
    width: 100%;
    height: 55px;
    background: 0 0;
    padding: 0 7px 0 27px;
    outline: none;
    border: none;
    overflow: visible;
}
input:focus {
    color: #1E4475;
}
input:focus::-webkit-input-placeholder {
    color: transparent
}

input:focus::-moz-placeholder {
    color: transparent
}

input:focus:-moz-placeholder {
    color: transparent
}

input:focus:-ms-input-placeholder {
    color: transparent
}
/********************************/

.button {
    display: block;
    background: linear-gradient(to right,#ADD1FF,#8E7FFF,#6BFFDA,#A5FFE9);
    background: -webkit-linear-gradient(to right,#ADD1FF,#8E7FFF,#6BFFDA,#A5FFE9);
    background: -o-linear-gradient(to right,#ADD1FF,#8E7FFF,#6BFFDA,#A5FFE9);
    background: -moz-linear-gradient(to right,#ADD1FF,#8E7FFF,#6BFFDA,#A5FFE9);
    opacity: 0.7;
    border: none;
    padding: 15px 42%;
    margin-top: 40px;
    border-radius: 25px;
    text-align: center;
    text-decoration: none;
    font-size: 16px;
    color: #fff;
    font-family: cursive, Сomic Sans MS;
    font-weight: bolder;
    -webkit-transition: background 5s;
    -o-transition: background 5s;
    -moz-transition: background 5s;
    transition: background 5s;
}

.button:hover {
    opacity: 1;
    -webkit-box-shadow: 0px 5px 10px 4px rgba(86, 126, 207, 0.2);
    -moz-box-shadow: 0px 5px 10px 4px rgba(86, 126, 207, 0.2);
    box-shadow: 0px 5px 10px 4px rgba(86, 126, 207, 0.2);}
